hybrid CDs/DVDs not mounted in xenial

Bug #1584509 reported by Karl Lindheimer on 2016-05-22
60
This bug affects 16 people
Affects Status Importance Assigned to Milestone
util-linux (Ubuntu)
Medium
Unassigned
Xenial
Undecided
Unassigned

Bug Description

* Impact
some CDs&DVDs are not listed in the desktop UIs

* Test case
under unity7 insert a video DVD in your drive, you should get prompted about it and have the device listed in the launcher/nautilus

* Regression potential
check that devices keep being correctly listed/mounted

------------------------

This bug affects both the X64 and X32 bit versions of the latest ubuntu 16.04 it does not occur with ubuntu 15.10 or earlier. The problem is when a known good CD-R is placed in the drive, it is not mounted automatically. However, if it is a bootable CD-R and you select the boot option of the BIOS it will function normally.

Also, When a blank CD-R is inserted into the drive, it is mounted automatically, but disk creation software reports an erroneous amount of free space available. Such as 247 MB or 512 MB when the disk is a 700 MB disk. However, if you proceed to record to the disk, even with an ISO image greater than the supposed available capacity, it records just fine.

Other disk types such as DVD, audio, small cd-r work fine. This only seems to affect the larger, full size cd-r's

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-22-generic 4.4.0-22.40
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: karl 1886 F.... pulseaudio
 /dev/snd/controlC0: karl 1886 F.... pulseaudio
CurrentDesktop: Unity
Date: Sun May 22 14:38:13 2016
GvfsMonitorLog: Monitoring events. Press Ctrl+C to quit.
HibernationDevice: RESUME=UUID=03cb5141-d254-414a-950b-2235e068035a
HotplugNewDevices:

HotplugNewMounts:

InstallationDate: Installed on 2016-03-09 (73 days ago)
InstallationMedia: Ubuntu 14.04.4 LTS "Trusty Tahr" - Release amd64 (20160217.1)
MachineType: Gateway DX4380G
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-22-generic root=UUID=da27bf85-d849-43b8-a8f2-8fdac4f37784 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-22-generic N/A
 linux-backports-modules-4.4.0-22-generic N/A
 linux-firmware 1.157
SourcePackage: linux
Symptom: storage
UdevMonitorLog:
 monitor will print the received events for:
 UDEV - the event which udev sends out after rule processing
UdisksMonitorLog:
 Monitoring the udisks daemon. Press Ctrl+C to exit.
 14:38:31.725: The udisks-daemon is running (name-owner :1.96).
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/04/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P11-A1
dmi.board.name: DX4380G
dmi.board.vendor: Gateway
dmi.board.version: 1.02
dmi.chassis.type: 3
dmi.chassis.vendor: Gateway
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP11-A1:bd09/04/2012:svnGateway:pnDX4380G:pvr:rvnGateway:rnDX4380G:rvr1.02:cvnGateway:ct3:cvr:
dmi.product.name: DX4380G
dmi.sys.vendor: Gateway

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.6 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6-yakkety

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Hi I installed the latest 4.6 generic AMD x64 kernel, and tested various cd-r's and dvd-r's. The problem is almost entirely fixed in the v4.6 kernel. CD-R's mount automatically with the exception of certain x32 cd-r like the i686 bootable clonezilla image. it does not mount, but it will run if selected via BIOS at boot-up. This behavior also occurs with several other older windows disks (CD-R) as well.

Sebastien Bacher (seb128) wrote :
summary: - CD-R's not mounted in latest kernel
+ hybrid CDs/DVDs not mounted in xenial
affects: linux (Ubuntu) → util-linux (Ubuntu)
Changed in util-linux (Ubuntu):
status: Confirmed → Fix Committed
description: updated
Sebastien Bacher (seb128) wrote :
Changed in util-linux (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2016-05-26
Changed in util-linux (Ubuntu):
status: Fix Released → Fix Committed
Changed in util-linux (Ubuntu Xenial):
status: New → Fix Committed
status: Fix Committed → In Progress
Brian Murray (brian-murray) wrote :

This is fixed in Yakkety, but the janitor didn't close the task.

Changed in util-linux (Ubuntu Xenial):
status: In Progress → Fix Committed

Hello Karl, or anyone else affected,

Accepted util-linux into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/util-linux/2.27.1-6ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in util-linux (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Oh, this is because the yakkety fix (https://launchpad.net/ubuntu/+source/util-linux/2.28-5ubuntu2) refers to bug 1577768 which is a duplicate.

Gottier (webdesignbrian) wrote :

I am one of the ones affected by this bug. I enabled the proposed repository, updated util-linux/xenial, and now all of my CDs show up! Thank you!

Hello, I enabled the proposed xenial fixes, and the hydrid /music/data
CD's and DVD's now display properly.   On Thu, 2016-05-26 at 23:14
+0000, Brian Murray wrote:
> Hello Karl, or anyone else affected,
>
> Accepted util-linux into xenial-proposed. The package will build now
> and
> be available at https://launchpad.net/ubuntu/+source/util-
> linux/2.27.1-6ubuntu3.1 in a few hours, and then in the -proposed
> repository.
>
> Please help us by testing this new package.  See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
> to
> enable and use -proposed.  Your feedback will aid us getting this
> update
> out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this
> bug,
> mentioning the version of the package you tested, and change the tag
> from verification-needed to verification-done. If it does not fix the
> bug for you, please add a comment stating that, and change the tag to
> verification-failed.  In either case, details of your testing will
> help
> us make a better decision.
>
> Further information regarding the verification process can be found
> at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you
> in
> advance!
>
> ** Changed in: util-linux (Ubuntu)
>        Status: Fix Committed => Fix Released
>

tags: added: verification-done
Changed in util-linux (Ubuntu):
status: Fix Released → Fix Committed
Changed in util-linux (Ubuntu):
status: Fix Committed → Fix Released

OK, I've tested the proposed fixes, and everything now seems to work as intended. The hybrid audio/data disks mount correctly, and other CD-R's now mount automatically too.

Erick Brunzell (lbsolost) wrote :

Do we need to take any additional action to move this from Xenial-proposed to updates now that verification is done?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package util-linux - 2.27.1-6ubuntu3.1

---------------
util-linux (2.27.1-6ubuntu3.1) xenial; urgency=medium

  * debian/patches/git_hybrid_cds.patch:
    - backport upstream fix to make hybrid disk work again, should resolve
      some disks like video DVDs not showing in the desktop interface
      (lp: #1584509)

 -- Sebastien Bacher <email address hidden> Wed, 25 May 2016 18:00:50 +0200

Changed in util-linux (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for util-linux has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

sokai (sokai) wrote :

Nice to see the bug fixed in Xenial!

But for me it isn't fixed for Wily (Werewolf) … – Can someone backport it please!

Thanks and best regards!

Erick Brunzell (lbsolost) wrote :

Wily reaches EOL this month:

https://wiki.ubuntu.com/Releases

sokai (sokai) wrote :

Thanks, Erick!

I can accept your hint/answer but for me the problem is: „Upgrading from Ubuntu 14.04 LTS or 15.10 […] 14.04 LTS to LTS upgrades will be enabled with the 16.04.1 LTS point release, in approximately 3 months time.“ [0]

So I/we expect 16.04.1 will be released on July, 21th – in the next _three_ weeks. Until then I cann't read any DVD … :-|

If it is possible: I wish someone can build a fix, anyway. Thanks!

[0] https://wiki.ubuntu.com/XenialXerus/ReleaseNotes#Upgrading_from_Ubuntu_14.04_LTS_or_15.10

Coeur Noir (coeur-noir) wrote :

Hi SoKai, as stated in at top of the page, fix has been released for Xenial ( lts version ) and I confirm it's solved the problem on my machine.

There is a quite easy workaround that should also do the trick in 15.10 while waiting for its EoL :

https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/1577768/comments/7

Coeur Noir (coeur-noir) wrote :

Or even easier maybe, install 16.04 packages for util-linux and libblkid1 from
- http://packages.ubuntu.com/xenial/util-linux
- http://packages.ubuntu.com/xenial/libblkid1

?

Pierre (pierrewinnipeg) wrote :

Seems to also affect Lubuntu 16.04. I cannot play either CDs or DVDs as they appear to fail to mount. It is SHOCKING that Lubuntu would put out an LTS that cannot play CDs or DVDs without even noticing.

Erick Brunzell (lbsolost) wrote :

If you have util-linux - 2.27.1-6ubuntu3.1 this should be fixed. Have you updated Lubuntu since installing?

Pierre (pierrewinnipeg) wrote :

Yes, I have 2.27.1-6ubuntu3.1 and it DOES NOT solve the problem in Lubuntu 16.04. It seems that the media fail to mount when inserted. They do not show up in file manager (PCManFM). They used to in 14.04. The folders /mnt and /media are empty.

Please, tell me what info you need. The sooner it is resolved, the better.

This is the output I get from VLC:
Playback failure:
DVDRead could not open the disc "/dev/sr0".
Your input can't be opened:
VLC is unable to open the MRL 'dvd:///dev/sr0'. Check the log for details.

I have also tried the following commands in terminal without success:
vlc /dev/sr0
vlc /dev/cdrom
vlc cdda://

Pierre (pierrewinnipeg) wrote :

Ignore my last comment: it seems that my DVD itself is broken.

Nkansah Rexford (seanmavley) wrote :

I have 2.27.1-6ubuntu3.1 and it is still not fixed.

LTS without working CD-ROM pretty feels ridiculous, to say the least.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers